// Copyright (C) 2019  Wilko Manger
// Copyright (C) 2019  Mathieu Velten
//
// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at http://mozilla.org/MPL/2.0/.

import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

import 'identifier.dart';

@immutable
abstract class User with Identifiable<UserId>, EquatableMixin {
  @override
  UserId get id;

  String get name;
  Uri get avatarUrl;

  @override
  List<Object> get props => [id, name, avatarUrl];
}
